/* Multiple variatons */
div.product{

  table.variations{
    width: 100%;
    display: inline-block;

    tbody{
      display: inline-block;

      > tr {
        width: 100%;
      }
    }

    td{
      display: block;
      border: 0;
      select{ width: 100%; }
    }
  }
}

// Variations disabled
li.disabled {
  filter: contrast( 0.5 );
  label{
    border: 1px solid fade-out( $grey-line, 0.5 );
  }
}

// Clearing variations isn't something
// that is often needed, so we're going
.reset_variations {
  @include theme_button();
}

// Price and the way it's shown
.woocommerce-variation-price{
  @include clearfix;
  width: 100%;

  .price{
    display: block;
    padding: 1rem;
    @include wider-than( tablet ){
      padding: 1.875rem;
    }
    border: 1px solid $grey-line;
    border-top: 0;
    margin: 0;
    position: relative;
    text-align: left;
    line-height: 1;

    @at-root .woocommerce-price-suffix{
      color: $grey-darker;
    }

    > .amount {
      line-height: 1;
      font-size: 2.625rem;
      text-decoration: none;
    }

    del {
      display: block;
      font-size: 1rem;
      color: fade-out( $text, 0.5 );
      vertical-align: sub;
    }

    ins {
      display: block;
      line-height: 1;
      font-size: 2.625rem;
      color: $sale_background;
      text-decoration: none;
      font-weight: 700;
      letter-spacing: -0.1rem;
    }
  }
}


.woocommerce-variation-availability{
  padding: 1rem;
  @include wider-than(tablet) {
    padding: 1.875rem;
    border-top: 1px solid $grey-line;
  }

  .stock{
    margin: 0;
    font-size: 1rem;
    @include wider-than(tablet){
      font-size: 1.125rem;
    }
  }
}

/* Add to cart button */

.woocommerce-variation-add-to-cart{

  // .quantity{
  //   @include span( 4, 12, 1rem );
  //   @include wider-than(laptop) {
  //     @include span( 4, 12 );
  //   }
  //   input[type="number"]{
  //     width: 100%;
  //   }
  //   & ~ .single_add_to_cart_button {
  //     @include span( 8, 12, 1rem, $last:true );
  //     @include wider-than(laptop) {
  //       @include span( 8, 12, $last:true );
  //     }
  //   }
  // }

  .single_add_to_cart_button{
    position: relative;
    @include theme_button;

    &[disabled]{
      background-color: $grey-line;
    }
  }
}

/* When variations are available,
we're going to use the images providied.
This is only going to work though for
variations with images */

.visual--variation {

  display: inline-block;

  &--container{
    @include padded__content();
  }

  &--radio{
    display: none;

    &:checked ~ label{
      box-shadow: 0 5px 0px 0px $alert-blue;
    }
  }

  &--label{
    display: inline-block;
    &:hover{
      cursor: pointer;
    }
  }

}